Update an RMA order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Database ID of the resource

Body Params
string

A unique number to identify the RMA order.

string

Reference of the RMA order.

integer
enum

Status of RMA order.

  • 10 - New
  • 20 - Waiting for inspection
  • 40 - Waiting for action
  • 50 - In progress
  • 60 - Ready for shipment
  • 70 - Shipped
  • 75 - Resolved
  • 80 - Delivered
  • 110 - Archived
  • 120 - Canceled
string

Internal notes, any additional information about the order.

integer

ID of site where this RMA order is created. May be rejected or ignored once lines are already received.

return_items
array of objects

Partial update set for return items.

If provided, items with line_id update existing lines, items without line_id create new lines,
and existing lines not mentioned remain unchanged.

If omitted, the API falls back to deprecated top-level legacy line fields and effectively preserves
only the first return item. Clients should send the full return_items array when updating RMAs
with multiple returned items.

return_items
outbound_items
array of objects

Partial update set for outbound items.

If provided, items with line_id update existing lines, items without line_id create new lines,
and existing lines not mentioned remain unchanged.

If omitted, existing outbound items remain unchanged.

outbound_items
Responses
202

RMA order updated

404

Resource not found

429

Rate limited - another request is running

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json